/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#include <stdio.h>
#include <stdlib.h>

#include "backend.h"

static LIST_HEAD(backends);
static char *default_backend;

char*
backend_get_default(void)
{
	return default_backend;
}

void
backend_register(struct backend *b)
{
	if (!default_backend)
		default_backend = b->name;
	list_add(&b->list, &backends);
}

struct backend*
backend_get(const char *name)
{
	struct list_head *p;
	if(!name)
		return 0;
	list_for_each(p, &backends) {
		struct backend *b = container_of(p, struct backend, list);
		if(!strcmp(b->name, name))
			return b;
	}
	return 0;
}
