/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#include "../config.h"
#include "backend.h"
#include "../call/call.h"

static void
oss_init(struct owsip *owsip)
{
	unsigned int count = 16;
	pjmedia_aud_dev_info info[16];
	int i;

	pjsua_enum_aud_devs(info, &count);
	printf("audio devices\n");
	for(i = 0; i < count; i++)
		printf("%d -> %s\n", i, info[i].name);
	printf("using %d\n", owsip->conf.ossdev);
	pjsua_set_snd_dev(owsip->conf.ossdev, owsip->conf.ossdev);
}

static void
oss_connect(struct call *c)
{
	pjsua_call_info ci;
	pjsua_call_get_info(c->call_id, &ci);
	if (ci.media_status == PJSUA_CALL_MEDIA_ACTIVE) {
		pjsua_conf_connect(ci.conf_slot, 0);
		pjsua_conf_connect(0, ci.conf_slot);
	}
}

static struct backend oss_backend = {
	.ports = 1,
	.name = "oss",
	.init = oss_init,
	.connect = oss_connect,
};

BACKEND(oss_backend)
