/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#include "../owsip.h"
#include "call.h"

static void
echo_start(struct call *c)
{
	owsip_pickup(c->call_id);
}

static void
echo_connect(struct call *c)
{
	pjsua_call_info ci;
	pjsua_call_get_info(c->call_id, &ci);
	if (ci.media_status == PJSUA_CALL_MEDIA_ACTIVE)
		pjsua_conf_connect(ci.conf_slot, ci.conf_slot);
}

static struct call_handler echo = {
	.name = "echo",
	.start = echo_start,
	.connect = echo_connect,
};

CALL(echo);
