/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#ifndef _OWSIP_CONFIG_H__
#define _OWSIP_CONFIG_H__

#include <uci.h>
#include <ucimap.h>

#include "backend/backend.h"

struct rule
{
	struct list_head list;
	struct ucimap_section_data map;
	char *name;
	char *handler;
	char *account;
	char *match;
	int start;
	int stop;
	pjsua_acc_id acc_id;
};

struct account
{
	struct list_head list;
	struct ucimap_section_data map;
	char *name;
	char *realm;
	char *username;
	char *password;
	int disabled;

	pjsua_acc_config acc_config;
	pjsua_acc_id acc_id;
};

struct owsip_conf
{
	struct ucimap_section_data map;
	char *name;
	char *backend;
	int ossdev;
	int log_level;
	char *interface;
	int local_port;
	int rtp_port;
	char *outbound;
	int noring;
};

struct owsip
{
	struct owsip_conf conf;
	struct backend *backend;

	struct list_head accounts;

	struct list_head rules;
	struct rule policy;

	pjsua_config cfg;
	pjsua_logging_config log_cfg;
};

struct owsip* config_load(void);
int config_free(struct owsip *o);

#endif
