/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#ifndef _OWSIP_DETECTOR_H__
#define _OWSIP_DETECTOR_H__

#include <stdio.h>

#include <libubox/list.h>
#include <pjsua-lib/pjsua.h>
#include <pjsua-lib/pjsua_internal.h>

#include "../owsip.h"

#define MAX_DIGIT	256

enum detector_state
{
	DETECTOR_UNKNOWN,
	DETECTOR_NONE,
	DETECTOR_DIALING,
	DETECTOR_CALLING
};

enum detector_event {
	DETECTOR_HOOK = 1,
	DETECTOR_DIGIT
};

struct detector {
	enum detector_state state;
	void *priv;
	pj_timer_entry timeout;
	pj_timer_entry impulse;
	void (*number)(struct detector *d, char *nr);
	void (*event)(struct detector *d, enum detector_event e, char data);
	char nr[MAX_DIGIT + 1];
	int nr_cnt;
};

void detector_init(struct detector *d);
void detector_feed(struct detector *d, enum detector_event e, char data);

#endif
