/*
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	Copyright (C) 2010 John Crispin <blogic@openwrt.org>
 */

#ifndef _OWSIP_DIALPLAN_H__
#define _OWSIP_DIALPLAN_H__

#include <stdio.h>

#include <libubox/list.h>

#include "../owsip.h"

enum {
	STATE_INIT,
	STATE_EXIT,
};

struct dial {
	struct list_head list;
	char *name;	// the name of the backend

	void (*init)(void);	// gets called when the app starts up (before sip init)
	void (*exit)(void);	// gets called when the app cleans up

	void (*number)(char *sequence);	// gets called when a number was dialed
};

void dial_register(struct dial *b);
void dial_set_prefix(char *nr, char *name);
void dial_state(int state);
void dial_call_nr(char *nr);

#define DIAL(name) \
	void  __attribute__ ((constructor)) \
	dial##name##start(void) \
	{ \
		printf("registering dial %s\n", #name); \
		dial_register(&name); \
	}
#endif
